textures/ut43_deathjumps_hell_a1/lavahell
{
    qer_editorimage textures/ut43_deathjumps_hell_a1/lavahell
    qer_trans 0.1

    // Use this shader in the global directive commands whenever the tcMod scale function is used in one of the later render stages.
    // Many problems with getting shader effects to work across multiple adjacent brushes are a result of the way Q3Map2 optimizes texture precision.
    // This option resolves that, but at the expense of some precision of the textures when they are far away from the origin of the map.
    q3map_globaltexture

    // Tells Q3Map2 that pre-computed visibility should not be blocked by this surface.
    // Generally, any shaders that have blendfunc's should be marked as surfaceparm trans.
    surfaceparm trans

    // World entities will not impact on this texture.
    // No explosions occur when projectiles strike this surface and no marks will be left on it.
    // Sky textures are usually marked with this texture so those projectiles will not hit the sky and leave marks.
    surfaceparm noimpact

    // Assigns to the texture the game properties set for lava.
    // This affects both the surface and the content of a brush.
    surfaceparm lava

    // This texture does not have a lightmap phase.
    // It is not affected by the ambient lighting of the world around it.
    // It does not require the addition of an rgbGen identity keyword in that stage.
    surfaceparm nolightmap

    q3map_surfacelight 50

    // For consistency's sake, this really should have been called q3map_tessSize. But it wasn't.
    // The tessSize shader controls the tessellation size (how finely a surface is chopped up in to triangles), in game units, of the surface.
    // This is only applicable to solid brushes, not curves, and is generally only used on surfaces that are flagged with the deformVertexes keyword.
    // Abuse of this can create a huge number of triangles.
    // This happens during q3map processing, so maps must be reprocessed for changes to take effect.
    tesssize 128

    // Every surface of a polygon has two sides, a front and a back. Typically, we only see the front or "out" side.
    // For example, a solid block you only show the front side. In many applications we see both.
    // For example, in water, you can see both front and a back. The same is true for things like grates and screens.
    //
    // To "cull" means to remove.
    // The value parameter determines the type of face culling to apply.
    // The default value is cull back if this keyword is not specified.
    // However for items that should be inverted then the value front should be used.
    // To disable culling, the value disable or none should be used.
    // Only one cull instruction can be set for the shader.
    cull disable

    deformVertexes wave 100 sin 3 2 .1 0.1

    {
        map textures/ut43_deathjumps_hell_a1/lavahell.tga
        tcMod turb 0 .2 0 .1
   }
}
